<!DOCTYPE html>

% # variable:
% # book, current_uuid, fromrecordname, torecordname, diffhtml

% import xml.etree.ElementTree as ET
% from datetime import datetime as DT

% # 國際化
% import lonote.translate
% g = lonote.translate.get_gettext_func()

% e_history = ET.fromstring(book.history_xml(current_uuid))

% if not torecordname:
    % totext = g('Current Version')
%else:
    % commentmatch = './record[@name="{}"]/comment'.format(torecordname)
    % comment = e_history.find(commentmatch).text
    % timematch = './record[@name="{}"]/frozen_time'.format(torecordname)
    % time = DT.strptime(e_history.find(timematch).text, '%Y-%m-%dT%H:%M:%S.%f%z').strftime('%Y-%m-%d %H:%M:%S')
    % totext = g('({time}): {comment}').format(time = time, comment = comment)
% end

% if not fromrecordname:
    % fromtext = g('Current Version')
%else:
    % commentmatch = './record[@name="{}"]/comment'.format(fromrecordname)
    % comment = e_history.find(commentmatch).text
    % timematch = './record[@name="{}"]/frozen_time'.format(fromrecordname)
    % time = DT.strptime(e_history.find(timematch).text, '%Y-%m-%dT%H:%M:%S.%f%z').strftime('%Y-%m-%d %H:%M:%S')
    % fromtext = g('({time}): {comment}').format(time = time, comment = comment)
% end

<html lang="">
    <head>
        <meta charset="utf-8" />
        <title>{{!g('Version Difference Compare: ')}} {{book.title(current_uuid)}}</title>
        <meta name="description" content="{{book.title(current_uuid)}} diff record {{fromtext}} -> {{totext}}" />
        <link rel="stylesheet" href="/static/js/handsontable/jquery.handsontable.full.css">
        <link rel="stylesheet" href="/static/css/article.css"/>
        <!-- attachment style -->
        <style>
            del, ins{
                border-radius: 3px;
                text-decoration: none;
            }

            ins{
                background-color: rgba(0, 255, 0, .3);
            }

            del{
                background-color: rgba(255, 0, 0, .3);
            }
        </style>

        <link rel="stylesheet" href="/extra/{{book.book_uuid()}}/book.css" />
        {{!book.extra('extra_head') or ''}}
    </head>

    <body>
        % desc = g("<p>Compare following versions of <b>{title}</b>: <blockquote>{fromtext}<br>→</br>{totext}</blockquote></p>")
        % desc = desc.format(title = book.title(current_uuid), fromtext = fromtext, totext = totext)
        {{!desc}}
        <hr/>
        <!-- 比較結果 -->
        <article id='main_content'>{{!diffhtml}}</article>
    </body>
</html>
